#!/bin/sh
#

PATH="/usr/local/bin:/usr/bin:/sbin:/bin:/usr/bin/X11:/usr/games:/usr/local/sony/bin:/usr/sbin"
LD_LIBRARY_PATH="/opt/sony/ebook/application:/lib:/usr/lib:/usr/local/sony/lib:/opt/sony/ebook/lib"
export PATH LD_LIBRARY_PATH

M_CARD=`cat /tmp/cardroot`
W_LOG=/tmp/script.log

# Binaries
stat_fs=/tmp/bin/stat_fs
date=/bin/date
mkdir=/bin/mkdir
rm=/bin/rm
tar=/bin/tar
mkcramfs=/usr/bin/mkcramfs
mcopy=/tmp/mcopy
#mcopy=/usr/bin/mcopy
chmod=/bin/chmod
du=/usr/bin/du
cut=/usr/bin/cut
nblsdm=/usr/local/sony/bin/nblsdm
umount=/bin/umount
mtdmount=/usr/local/sony/bin/mtdmount

##
#  Edit from here
##

echo -n "Test script -> " > $W_LOG

echo "-----------------------------" >> $W_LOG
echo /proc/mtd >> $W_LOG
cat /proc/mtd >> $W_LOG
echo "-----------------------------" >> $W_LOG

echo "copying partitions" >>$W_LOG
mkdir /Data/tmp

grep Fsk /proc/mtd > /dev/null
if [ $? == 0 ]; then
	NUM=`grep Fsk /proc/mtd | awk -F: '{print $1}' | awk -Fd '{print$2}'`
	echo dd if=/dev/mtd$NUM of=/Data/tmp/cramfs.Fsk.img bs=256 >>$W_LOG
	dd if=/dev/mtd$NUM of=/Data/tmp/cramfs.Fsk.img bs=256  >>$W_LOG 2>&1
else
	echo no Fsk partition >>$W_LOG
fi

grep Rootfs /proc/mtd > /dev/null
if [ $? == 0 ]; then
	NUM=`grep \"Rootfs\" /proc/mtd | awk -F: '{print $1}' | awk -Fd '{print$2}'`
	echo dd if=/dev/mtd$NUM of=/Data/tmp/cramfs.Rootfs.img bs=256 >>$W_LOG
	dd if=/dev/mtd$NUM of=/Data/tmp/cramfs.Rootfs.img bs=256 >>$W_LOG 2>&1
else
	echo no Rootfs partition >>$W_LOG
fi

#copy the log back to card so that we can read it
$mcopy -pnso $W_LOG $M_CARD/
cp $W_LOG /Data/tmp/
echo Done copying $W_LOG res $?
sync
sync
sync
